py4j.model

## Class Py4JClass

- java.lang.Object
- - py4j.model.Py4JMember
  - - py4j.model.Py4JClass

- All Implemented Interfaces:
    Comparable<Py4JMember>

      public class Py4JClass
      extends Py4JMember

  Model of a Java class used to create a help page.

  Author:
    Barthelemy Dagenais

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Py4JClass(String name, String javadoc, String extendType, String[] implementTypes, Py4JMethod[] methods, Py4JField[] fields, Py4JClass[] classes)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Py4JClass` | `buildClass(Class<?> clazz)`
    `static Py4JClass` | `buildClass(Class<?> clazz, boolean sort)`
    `Py4JClass[]` | `getClasses()`
    `String` | `getExtendType()`
    `Py4JField[]` | `getFields()`
    `String[]` | `getImplementTypes()`
    `Py4JMethod[]` | `getMethods()`
    `String` | `getSignature(boolean shortName)`

    - ### Methods inherited from class py4j.model.Py4JMember

      `compareTo, getJavadoc, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Py4JClass

          public Py4JClass(String name,
                           String javadoc,
                           String extendType,
                           String[] implementTypes,
                           Py4JMethod[] methods,
                           Py4JField[] fields,
                           Py4JClass[] classes)

  - ### Method Detail

    - #### buildClass

          public static final Py4JClass buildClass(Class<?> clazz)

    - #### buildClass

          public static final Py4JClass buildClass(Class<?> clazz,
                                                   boolean sort)

    - #### getClasses

          public Py4JClass[] getClasses()

    - #### getExtendType

          public String getExtendType()

    - #### getFields

          public Py4JField[] getFields()

    - #### getImplementTypes

          public String[] getImplementTypes()

    - #### getMethods

          public Py4JMethod[] getMethods()

    - #### getSignature

          public String getSignature(boolean shortName)

      Specified by:
        `getSignature` in class `Py4JMember`